<?php
namespace Lc\SovBundle\Model\File;


use Doctrine\ORM\Mapping as ORM;
use Gedmo\Mapping\Annotation as Gedmo;
use Lc\SovBundle\Doctrine\EntityInterface;
use Lc\SovBundle\Doctrine\Extension\BlameableInterface;
use Lc\SovBundle\Doctrine\Extension\BlameableTrait;
use Lc\SovBundle\Doctrine\Extension\DevAliasInterface;
use Lc\SovBundle\Doctrine\Extension\DevAliasTrait;
use Lc\SovBundle\Doctrine\Extension\SortableInterface;
use Lc\SovBundle\Doctrine\Extension\SortableTrait;
use Lc\SovBundle\Doctrine\Extension\TimestampableInterface;
use Lc\SovBundle\Doctrine\Extension\TimestampableTrait;
use Lc\SovBundle\Doctrine\Extension\TranslatableInterface;
use Lc\SovBundle\Doctrine\Extension\TranslatableTrait;

abstract class FileModel implements SortableInterface, BlameableInterface, TimestampableInterface, TranslatableInterface,
                                    DevAliasInterface, EntityInterface, FileInterface
{
        use DevAliasTrait;
        use BlameableTrait;
        use TimestampableTrait;
        use TranslatableTrait;
        use SortableTrait;

        /**
         * @Gedmo\Translatable
         * @ORM\Column(type="string", length=255, nullable=true)
         */
        protected $path;

        /**
         * @Gedmo\Translatable
         * @ORM\Column(type="string", length=255, nullable=true)
         */
        protected $legend;


        public function __toString(){
                return ''.$this->getLegend();
        }

        public function getPath(): ?string
        {
                return $this->path;
        }

        public function setPath(?string $path): self
        {
                $this->path = $path;

                return $this;
        }


        public function getLegend(): ?string
        {
                return $this->legend;
        }

        public function setLegend(?string $legend): self
        {
                $this->legend = $legend;

                return $this;
        }
    
}
